- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Utils::Containers::IIterator Class Reference

`#include <Iterators.h>`

Inheritance diagram for Mers::Utils::Containers::IIterator:

[legend]
Collaboration diagram for Mers::Utils::Containers::IIterator:

[legend]
List of all members.

## Protected Member Functions
| IIterator (void *myList=NULL, unsigned int myIndex=0)
| IIterator (IIterator const &other)
IIterator & | operator= (const IIterator &other)
## Protected Attributes
void * | m_List
| pointer to the array or other object that we're iterating through

## Detailed Description

This class provides generic iterator functionality

Definition at line 167 of file Iterators.h.

## Constructor & Destructor Documentation

IIterator::IIterator | ( | void * | myList = `NULL`,
|  | unsigned int | myIndex = `0` |
| ) |  |  | `[protected]`

creates a new iterator on the specified list with the specified starting index

Parameters:

  | myList | the array that this iterator will iterate through
  | myIndex | the starting index of this iterator

Definition at line 97 of file Iterators.cpp.

IIterator::IIterator | ( | IIterator const & | other | ) | `[protected]`

Copy constructor for this object that constructs using the parent class

Parameters:

  | other | the constant iterator that this object should copy from

Definition at line 104 of file Iterators.cpp.

## Member Function Documentation

IIterator & IIterator::operator= | ( | const IIterator & | other | ) | `[protected]`

Copies the iterator position and object from the other iterator

Parameters:

  | other | the other iterator that this object will be copied from

Returns:
  a reference to this iterator

Definition at line 111 of file Iterators.cpp.

References m_List, and Mers::Utils::Containers::IConstantIterator::operator=().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Utils/Containers/Iterators.h
- /Users/fpy/titan-1-5-MBARI/Mers/Utils/Containers/Iterators.cpp